declare global {
    interface Array<T> {
        flat(depth?: number): any;
    }
}
/**
 * Available options when downloading.
 */
export interface DownloadPluginsOptions {
    /**
     * Determines if a plugin should be unpacked.
     * Defaults to `false`.
     */
    packed?: boolean;
    /**
     * Determines if failures while downloading plugins should be ignored.
     * Defaults to `false`.
     */
    ignoreErrors?: boolean;
    /**
     * The supported vscode API version.
     * Used to determine extension compatibility.
     */
    apiVersion?: string;
    /**
     * The open-vsx registry API url.
     */
    apiUrl?: string;
    /**
     * Fetch plugins in parallel
     */
    parallel?: boolean;
    rateLimit?: number;
    proxyUrl?: string;
    proxyAuthorization?: string;
    strictSsl?: boolean;
}
export default function downloadPlugins(options?: DownloadPluginsOptions): Promise<void>;
//# sourceMappingURL=download-plugins.d.ts.map